use.local.olink.style
Prev | Linking | Next

## use.local.olink.style

use.local.olink.style — Process olinks using xref style of current document

## Synopsis

    <xsl:param name="use.local.olink.style" select="0"></xsl:param>

## Description

When cross reference data is collected for use by olinks, the data for each potential target includes one field containing a completely assembled cross reference string, as if it were an xref generated in that document. Other fields record the separate title, number, and element name of each target. When an olink is formed to a target from another document, the olink resolves to that preassembled string by default. If the `use.local.olink.style` parameter is set to non-zero, then instead the cross reference string is formed again from the target title, number, and element name, using the stylesheet processing the targeting document. Then olinks will match the xref style in the targeting document rather than in the target document. If both documents are processed with the same stylesheet, then the results will be the same.

Prev | Up | Next
olink.base.uri | Home | current.docid